[CAD-MAP-19]: Membuat tabel Microsoft Access dari Hasil Topology Analysis di AutoCAD Map (Lanjutan-2: Menjalankan Autolisp)

Reference : [CAD-MAP-018]: Aplikasi Topology Analysis di AutoCAD Map untuk Mengambil Nilai Text dalam Polygon (disertai dengan tahapan pembuatan Autolisp)
Platform : Autocad Map
Download File :  

Tulisan sebelumnya di [CAD-MAP-018]: Aplikasi Topology Analysis di AutoCAD Map untuk Mengambil Nilai Text dalam Polygon (disertai dengan tahapan pembuatan Autolisp) telah diuraikan langkah-langkah untuk membuat topology analysis melalui perintah / tools yang ada di autocadmap. Pada langkah-langkah tersebut juga disertakan tahapan untuk membuat program autolispnya. Autolisp di bawah hasil salinan code autolisp yang telah di post tersebut:

(defun c:atop ()
  (setq cmddia_old (getvar "cmddia"));simpan setting cmddia sebelumnya
 
  (setvar "cmddia" 0);set kotak dialog off
  ;setting list object data di bawah bisa dirubah sesuai data yang ada

  (setq list_od (list "OD_NIB" "OD_BERKAS" "OD_NAMA"));list object data yang akan dibuat
  (setq list_fld (list "NIB" "BERKAS" "NAMA"));list nama field atau header
  (setq list_type (list "C" "C" "C")); list object type dari list object di atas
  (setq list_layer (list "080201" "tn_lai_berkas" "tn_lai"))

  (setq i -1);setting index untuk ambil
  (foreach od list_od
    (setq i (1+ i))
    ;;1. Membuat object data tabel
    (command  "ADEDEFDATA" "N" od (nth i list_fld) "" (nth i list_type) "" "N" "X")
   
    ;;2. linked object data table ke string atau text.
    (setq filter (list (cons 0 "TEXT") (cons 8 (nth i list_layer))));set filter
    (command "ADEGENLINK" "O" "O" od "Y" "S" (ssget "X" filter) "")
   
    );end foreach

    ;;3. Proses Overlay

  (setq tp_node1 "BERKAS" tp_node2 "NAMA" tp_poly "Batas_Persil")
  (setq od_res1 "OD_BERKAS_PRSL" od_res2 "OD_NAMA_PRSL")
  (setq tp_res1 "TP_BERKAS" tp_res2 "TP_NAMA")
  (setq od_node1 (nth 1 list_od))
  (setq od_node2 (nth 2 list_od))
  (setq od_poly (nth 0 list_od))

  ;;overlay pertama
  (command "MAPOVERLAY" tp_node1 "o" od_node1 "y" "")
  (command tp_poly "o" od_poly "y" "")
  (command "i" tp_res1 "" "0" od_res1 "y" "")

  ;;overlay kedua
  (command "MAPOVERLAY" tp_node2 "o" od_node2 "y" "")
  (command tp_poly "o" od_poly "y" "")
  (command "i" tp_res2 "" "0" od_res2 "y" "")

  (setvar "cmddia" cmddia_old)
  );end defun

Cara menjalankan kode di atas:

1.  Copy code di atas ke notedpad kemudian simpan file dengan extensi .lsp misal diberi nama analisa_topologi.lsp.

2. Buka file autocad yang akan diproses. Karena autolisp tersebut dikembangkan dari file yang sudah ada maka jika akan menggunakan fila yang lain maka syarat-syarat berikut harus dipenenuhi dalam file tersebut harus sesuai dengan perintah / fungsi yang ada di autolisp yaitu:

Fungsi dalam Autolisp Data yang harus ada

(setq list_layer (list "080201" "tn_lai_berkas" "tn_lai"))

Object text NIB harus terletak di layer: 080201
Object text BERKAS harus terletak di layer: tn_lai 
Object text NAMA harus terletak di layer: tn_lai_berkas

(setq tp_node1 "BERKAS" tp_node2 "NAMA" tp_poly "Batas_Persil")

Node Topology dari object text BERKAS bernama : BERKAS
Node Topology dari object text NAMA bernama : NAMA
Polygon Topology dari batas persil dengan centoid object NIB bernama Batas_Persil

Jika nama layer dan nama topology berbeda dengan di atas, code lisp pada file analisa_topologi.lsp bisa disesuaikan dengan file yang akan diproses dengan merubah di bagian statement di atas.

3. Setelah file dibuka, pastikan bahwa topology BERKAS, NAMA dan Batas_Persil telah di-Load Topology dan juga telah ter-connect ke ODBC database.

image

4. Untuk memastikan bahwa topology siap diproses, setelah di load topology, lakukan re-create di masing-masing topology.

image

4. Load applikasi atau program autolisp dengan mengetik di command:appload

5. Pilih file analisa_topologi.lsp kemudian click [Load]. Jika ada pesan, File Loading – Security Concern, Check pilihan [Always load this application] kemudian click [Load]

image

6. Ketik pada command:atop

7. Pada saat autolisp dijalankan akan ditampilakn urutan perintah proses overlay.

Command: ATOP
ADEDEFDATA
Field 1:
Command: ADEGENLINK
Linkage type: [Blocks/textObjects/encloseDBlocks/enclosedText]<enclosedText>: O
Create [Objectdata/ASElinks]<ASElinks>: O
Object data table (? for list): OD_NIB
Use Insertion Point as Label Point: [Yes/No] <N>:Y
Text objects to generate from: [Select/All]<All>: S
Select objects:   22 found

Select objects:
22 object(s) to process.
Processing 22…done. 22 links created.
Command: ADEDEFDATA
Field 1:
Command: ADEGENLINK
Linkage type: [Blocks/textObjects/encloseDBlocks/enclosedText]<enclosedText>: O
Create [Objectdata/ASElinks]<ASElinks>: O
Object data table (? for list): OD_BERKAS
Use Insertion Point as Label Point: [Yes/No] <N>:Y
Text objects to generate from: [Select/All]<All>: S
Select objects:   22 found

Select objects:
22 object(s) to process.
Processing 22…done. 22 links created.
Command: ADEDEFDATA
Field 1:
Command: ADEGENLINK
Linkage type: [Blocks/textObjects/encloseDBlocks/enclosedText]<enclosedText>: O
Create [Objectdata/ASElinks]<ASElinks>: O
Object data table (? for list): OD_NAMA
Use Insertion Point as Label Point: [Yes/No] <N>:Y
Text objects to generate from: [Select/All]<All>: S
Select objects:   35 found

Select objects:
35 object(s) to process.
Processing 35…done. 35 links created.
Command: MAPOVERLAY
Enter source topology name (? for list) <nama>: BERKAS
Enter type of source data (Object-data/Sql-data): o
Enter table name (? for list) <>: OD_BERKAS
Select all available fields? (Yes/No) <Y>: y
Enter type of source data (Object-data/Sql-data):
Enter overlay topology name (? for list) <Batas_Persil>: Batas_Persil
Enter type of overlay data (Object-data/Sql-data): o
Enter table name (? for list) <>: OD_NIB
Select all available fields? (Yes/No) <Y>: y
Enter type of overlay data (Object-data/Sql-data):
Enter overlay operation (Intersect/Union/iDentity/Erase/Clip/Paste) <I>: i
Enter result topology name: TP_BERKAS
Enter result topology description:

Enter target layer (? for list) <080201>: 0

Enter result data table (? for list) <>: OD_BERKAS_PRSL
No such data table. Create table? (Yes/No) <Y>: y
Enter table description:
Creating TP_BERKAS topology by Overlay…
Writing topology information to the drawing…

Overlay successfully created.
Command: MAPOVERLAY
Enter source topology name (? for list) <berkas>: NAMA
Enter type of source data (Object-data/Sql-data): o
Enter table name (? for list) <>: OD_NAMA
Select all available fields? (Yes/No) <Y>: y
Enter type of source data (Object-data/Sql-data):
Enter overlay topology name (? for list) <Batas_Persil>: Batas_Persil
Enter type of overlay data (Object-data/Sql-data): o
Enter table name (? for list) <>: OD_NIB
Select all available fields? (Yes/No) <Y>: y
Enter type of overlay data (Object-data/Sql-data):
Enter overlay operation (Intersect/Union/iDentity/Erase/Clip/Paste) <I>: i
Enter result topology name: TP_NAMA
Enter result topology description:

Enter target layer (? for list) <0>: 0

Enter result data table (? for list) <>: OD_NAMA_PRSL
No such data table. Create table? (Yes/No) <Y>: y
Enter table description:
Creating TP_NAMA topology by Overlay…
Writing topology information to the drawing…

Overlay successfully created.
Command: 0

8. Proses selanjutnya adalah Menyimpan object data OD_NAMA_PRSL, OD_BERKAS_PRSL dan ke Microsoft access seperti tahapan di [CAD-MAP-018]: Aplikasi Topology Analysis di AutoCAD Map untuk Mengambil Nilai Text dalam Polygon (disertai dengan tahapan pembuatan Autolisp) dimulai dari tahap ke E. Menyimpan Object Data ke Microsoft Access.

==========

Silakan dicoba dan terimakasih telah berkunjung di blog saya

Advertisements

[CAD-LIS-03]: Autolisp untuk plotting titik dari text file type comma delimited (text dengan pemisah tanda Koma) ke AutoCAD

 

Referensi : http://www.afralisp.net/dialog-control-language/
    http://www.lee-mac.com/stringtolist.html
Lokasi File :  

Setelah belajar di http://www.afralisp.net/dialog-control-language/ tentang bagaimana cara membuat kotak dialog dengan Dialog Control Language (DCL), berikut adalah hasil praktik saya untuk penerapan import / penggambaran titik dari textfile dengan pemisah koma (comma delimited).

Penerapan program autolisp dengan DCL ini merupakan pengembangan lebih lanjut dari https://cadex.co/2009/04/17/cad-lis-01-menulis-text-dari-list-koordinat/ dengan penambahan kotak dialog, pemilihan kolom dan type titik yang bisa dipilih berupa block atau berupa titik dan text. Jika dibandingkan dengan program sebelumnya, pada program ini belum ada setting [text style] dan [Layer] karena saya masih kesulitan untuk membuat text style melalui visual lisp yang berbasis object oriented programming. Tentunya jika sudah mendapatkan caranya, akan saya update program autolispnya.

Untuk menjalankan program autolisp dan DCL beserta dengan block attributesnya, maka perlu ditambahkan setting khusus di program AutoCAD dengan menambahkan 2 (dua) folder / path pada options [Support File Searh Path] dengan cara sebagai berikut:

1. Download program autolisp & DCL

2. Ketik pada program autocad pada menu command: options

3. Pada [Tab], [Files], pilih [Support File Searh Path], kemudian click tombol [Add].

4. Click tombol [Browse], arahkan ke folder […..\cadex\lsp], kemudian click [Apply]

5. Ulangi langkah 3 dan 4, menambahkan folder […\cadex\blocks], kemudian click [Apply]

6. Tutup kotak click tombol [OK]

Pada tulisan ini saya tidak menguraikan atau menjelaskan baris per baris perintah autolispnya karena sebagian sudah saya tulis beberapa komentar pada program autolisp yang saya berri nama cadex.lsp. Program lisp ini akan saya update jika ada tambahan program autolisp baru.

Berikut langkah-langkah menjalankan program autolisp di AutoCAD:

A. Setting program cadex.lsp di AutoCAD

1. Load / masukkan program lisp dalam Autocad dengan mengetik di command:appload

2. Pilih file cadex.lsp pada folder […..\cadex\lsp], kemudian click [Load]

3. Jika muncul pesan "security issued", centang pilihan [Alwas Load] kemudian click [Load] lagi.

4. Click tombol [Close], jika sudah selesai.

B. Menjalankan program cadex.lsp

1. Program import titik ada fungsi (c:z_p), untuk menjalankan program tersebut, ketik di command:z_p

2. Akan ditampilkan kotak dialog [Import Titik dari [*.csv] atau [*.txt] file] hasil program DCL dari file penzd.dcl

3. Click tombol [Browse], kemudian pilih file yang akan diimport dengan terlebih dahulu memilih type extensi filenya *.csv atau *.txt, kemudian click [Lihat Data]

4. Secara default, program akan membaca titik mulai baris 1, nomor titik di kolom 1 , keterangan di kolom 1, X di kolom 2 , Y di kolom 3  dan Z / elevasi di kolom 4

5. Kemudian pilih [Format Titik dan text], apabila titik akan ditampilkan dalam bentuk titik beserta dengan text keterangan atau pilih [Block Attributes] jika akan mengeplot dalam bentuk Block Attrubutes. Catatan: untuk pilihan Block Attributes akan terplot lebih lama dibandingkan dengan pilihan [Format Titik dan Text]

penzdJPG

6. Click tombol [OK], untuk mulai plotting titik.

 

==selamat mencoba===

 

[CAD-LIS-02]: Autolisp untuk Membuat Pendekatan Lingkaran dari Beberapa Titik (Best Fitting Circle from Coordinates)

Referensi : [XLS-SVY-23]: Spreadsheet Excel untuk Menentukan Pusat dan Jari-Jari Lingkaran dari Koordinat
Lokasi File :  
Perangkat Lunak : Autocad

 

Pada tulisan [XLS-SVY-23]: Spreadsheet Excel untuk Menentukan Pusat dan Jari-Jari Lingkaran dari Koordinat, pusat dan jari-jari lingkaran dihitung dengan program excel dan hasilnya ditampilkand dalam bentuk chart excel.

Tulisan kali ini adalah aplikasinya dalam bentuk program autolisp, sehingga hasil hitungan pusat dan jari-jari lingkaran bisa langsung digambar di autocad dari titik-titik / object points yang sebelumnya sudah digambar di autocad.

Berikut list autolispnya:

(defun c:fc()
  ;menentukan batas pemilihan
  (setq p1 (getpoint));batas atas
  (setq p2 (getcorner p1));batas bawah

  ;dipilih hanya object bertype "POINT"
  (setq ss (ssget "_w" p1 p2 ‘((0 . "POINT")))) 
  (setq nPts (sslength ss));jumlah titik yang terplih

  ;jika jumlah titik >= 3 , maka akan diproses perhitungannya
  (if (>= nPts 3)
    (progn
      (setq idx 0)
      (setq ListX (list));list koordinat X
      (setq ListY (list));list koordinat Y
      ;memilah atau mengambil entity titik
      (setq SumX 0 SumY 0)
      (repeat nPts
    (setq ePt (entget (ssname ss idx)))
    (setq X (nth 1 (assoc 10 ePt)))
    (setq Y (nth 2 (assoc 10 ePt)))
    (setq ListX (append ListX (list X)))
    (setq ListY (append ListY (list Y)))

    (setq SumX (+ SumX X))
    (setq SumY (+ SumY Y))
    (setq idx (1+ idx))
    );repeat
      ;perhitungan least square
      (setq Xr (/ SumX nPts))
      (setq Yr (/ SumY nPts))
      (setq idx 0)
      (setq spp 0 sppp 0)
      (setq sqq 0 sqqq 0)
      (setq spq 0 spqq 0 sqpp 0)
      (repeat nPts
    (setq p (- (nth idx ListX) Xr))
    (setq q (- (nth idx ListY) Yr))
    (setq pp (* p p))   
    (setq ppp (* pp p))
    (setq qq (* q q))
    (setq qqq (* qq q))
    (setq pq (* p q))
    (setq pqq (* pq q))
    (setq qp (* q p))
    (setq qpp (* qp p))

    (setq spp (+ spp pp))
    (setq sppp (+ sppp ppp))
   
    (setq sqq (+ sqq qq))
    (setq sqqq (+ sqqq qqq))

    (setq spq (+ spq pq))
    (setq spqq (+ spqq pqq))
    (setq sqpp (+ sqpp qpp))

    (setq idx (1+ idx))
    );end repeat
      ;menghitung invers matrix A (2×2)
      ;|a11 a12| = |spp  spq|
       |a21 a21| = |spq  sqq|;

      (setq det (- (* spp sqq ) (* spq spq)))

      (setq a11 (/ sqq det))
      (setq a12 (/ (* -1.0 spq) det))     
      (setq a21 a12)
      (setq a22 (/ spp det))

      ;matrix L (2×1)
      (setq l11 (/ (+ spqq sppp) 2.0))
      (setq l21 (/ (+ sqqq sqpp) 2.0))

      (setq xx (+ (* a11 l11) (* a12 l21)))
      (setq yy (+ (* a21 l11) (* a22 l21)))

      ;koordinat pusat lingkaran
      (setq Xc (+ xx Xr))
      (setq Yc (+ yy Yr))
      (setq pc (list Xc Yc))

      (setq Sxx (+ (* xx xx) (* yy yy)))
      (setq r (+ sxx (/ (+ spp sqq) nPts)))

      ;jari-jari
      (setq r (sqrt r))
      (command "circle" pc r )
     
      );progn
    (alert "Number of points < 3 points")
    );if 
)

copy list tersebut, kemudian simpan dengan ekstensi .lsp atau download file.

Cara penggunaan program tersebut:

1. Pada ketik menu command:appload

2. Pilih file lisp atau file hasil download.

3. Misal lokasi titik yang akan dibuat lingkarannya adalah:

image

4. ketik pada menu command:fc

5. Kemudian select window mulai dari kiri atas sampai kanan bawah pada semua titik di atas.

6. Hasilnya:

image

#selamat mencoba

[CAD-CIV-12]: Mengisi Elevasi Garis Kontur dari Text Label Kontur

 

Referensi :  
Platform : Civil 3D 2011
Lokasi File :  

Kadang kita menerima file CAD berisi garis kontur, biasanya berupa polyline, beserta labelnya. Tetapi setelah dicek properties dari polyline tersebut nilai elevasi dari poliline masih bernilai 0 atau tanpa elevasi. Keadaan seperti ini akan menyusahkan kita saat akan mengolah kontur tersebut untuk dijadikan surface di civil 3D.

Kali ini saya akan berbagi bagaimana cara mengolah polyline tersebut sampai menjadi surface dalam civil 3D mulai dari mengambil object kontur dari file asal CAD. Karena saya menerima file CAD dalam format microstation (dgn), maka tahapan untuk  pengolahannya adalah:

1. Import file dgn ke civil 3D

2. Cleanup Polyline

3. Mengisi Elevasi ke Polyline dengan Autolisp

4. Membuat Surface

Detail tiap tahapannya adalah:

1. Import file microstation (dgn) ke civil 3D

  • Terlebih dahulu, jalankan civil 3D dengan pilihan satuan metric.
  • Jika menu command: prompt tidak tampil, tekan Ctrl+9 untuk menampilkannya.
  • Masukkan perintah  di command: dgnimport
  • Pilih file yang akan diimport, kemudian click [OK]
  • Zoom Extend untuk melihat hasil import
  • image
  • pilih atau select object kontur kemudian tekan Ctrl+1  untuk melihat propertiesnya
  • image
  • Berdasarkan informasi dari properties:
  • object kontur berupa Polyline ada di Layer [Level 58] dengan nilai Elevasi = 0.000

Lakukan hal yang sama untuk memilih object kontur yang lain untuk mengecek jika ada object kontur yang tersimpan dalam Layer yang berbeda.

Dalam contoh di atas, object kontur tersimpan juga di Layer [Level 59] untuk kontur majornya.

 

 

 

 

  • Pilih object Label Kontur, kemudian check propertiesnya. Dalam contoh di atas, Label untuk kontur minor adalah berupa object Text tersimpan di layer [Level 58] sedangkan untuk label majornya ada di [Level 59]

2. Cleanup Polyline

  • Matikan semua layer, kecuali [Layer 58] dan [Layer 59]
  • zoom in ke group kontur berlabel, khusunya ke kontur berlabel yang rapat. Misalnya hasil zoom in seperti berikut:

image

  • Gambar di atas, terlihat beberapa garis kontur terpotong oleh labelnya. Garis kontur yang terpotong ini seharusnya digabung terlebih dahulu sebelum diproses pemberian elevasi yang akhirnya dibuat sebagai surface di civil 3D.
  • Dengan fasilitas Tools>>Clean Up di autodeskmap (sudah terinstall di civil 3D), proses penggabungan ini bisa dilakukan secara otomatis.
  • Ukur jarak kontur yang terpotong. Misal didapat Distance = 5.583 meter
  • Dengan Clean Up bisa ditentukan bahwa semua polyline yang mempunyai gap maksimal 5.6 m akan dihubungkan atau digabung (join polyline). Tetapi perlu diperhatikan bahwa untuk kontur berlabel rapat hal ini akan meyebabkan salah penggabungan. Dalam gambar di atas yang dilingkari warna biru, karena jarak antara kontur minor dan majornya leboh kecil dari 5.583 m, maka polyline untuk kontur 12.5 akan menyambung ke kontur 13.0. Kesalahan ini tidak terjadi untuk daerah yang ditandai dengan kotak biru karena jarak antar kontur berlabel, lebih dari 5.583
  • Untuk menghindari kesalahan di atas, untuk kontur berlabel rapat harus dihubungkan secara manual sebelum dilakukan clean up
  • Jika sudah dilakukan penggabungan di kontur berlabel rapat, maka kontur sudah siap untuk clean up
  • masukkan perintah di command: mapclean
  • Pilih [Select all], kemudian pilih lokasi layer tempat object yang akan di cleanup:
  • image
  • Click [Next]
  • Pilih [Cleanup Actions], [Snap Clustered Nodes], kemudian click [Add].
  • Masukkan Cleanup parameters tolerance 5.6m “semua node yang mempunyai gap lebih kecil 5.6 meter akan digabungkan”
  • Pilih lagi [Cleanup Actions], [Dissolve Pseudo Nodes], kemudian click [Add] “node yang sudah tergabung akan di join sebagai satu polyline”

image

  • Click [Finish]
  • Lakukan re-checking, jika ada polyline yang terhubung tidak benar, lakukan edit secara manual
  • Gambar Kontur yang telah terhubung polylinenya

image 

3. Mengisi Elevasi ke Polyline dengan Autolisp

Agar polyline kontur tersebut bisa diubah menjadi surface, maka tiap polyline harus dipudate properties elevasinya sesuai dengan angka yang tertera di label. Proses update ini bisa dilakukan degan perintah command line command:_change.

Contoh di bawah adalah merubah properties elevasi polyline menjadi 12.

Command: _change

Select objects: 1 found

Select objects:
Specify change point or [Properties]: p

Enter property to change
[Color/Elev/LAyer/LType/ltScale/LWeight/Thickness/TRansparency/Material/Annotative]: e

Specify new elevation <12.000>: 12

Enter property to change
[Color/Elev/LAyer/LType/ltScale/LWeight/Thickness/TRansparency/Material/Annotative]:

Dengan cara di atas, kita akan selalu memasukkan (input) nila elevasi secara manual dan selalu mengulang perintah _change.

Saya telah membuat program Autolisp sederhana yang bisa membaca angka di label kontur untuk kemudian dimasukkan ke properties elevasi polyline sesuai dengan nilai yang tertera di label.

(Defun c:SetElev()
  ;;fungsi ini dipakai untuk merubah elevasi polyline kontur
  ;;sesuai dengan tulisan atau labelnya (contour label)
  ;;caranya adalah pilih labelnya terlebih dahulu, kemudian pilih polyline
  ;;yang akan diberi elevasi
 
  (vl-load-com)(gc)
  (setq acaddoc (vla-get-activedocument (vlax-get-acad-object)))
  (setq ent (car(entsel "\nPilih Text>>")))
  (while (/= ent nil)
  (setq obj (vlax-ename->vla-object ent))
  (setq nmObj (vla-get-objectname obj))
  (if (= nmObj "AcDbText");;object harus bertype text
    (progn
        (setq elev (atof (vla-get-textstring obj)))
        (setq obj (vlax-ename->vla-object (car (entsel "\nPilih Polyline>>"))))
    (setq nmObj (vla-get-objectname obj))
    (if (= nmObj "AcDbPolyline");;object harus bertype polyline
      (progn
        (setq nmLayer (vla-get-layer obj))
        (vla-put-elevation obj elev);;rubah elevasi
        (vla-update obj);;update object
        );prgn "AcDbPolyline
    );end if
   
    );progn "AcDbText"
  );end if
  (setq ent (car(entsel "\nPilih Text>>")))
  );end while
)

Copy code autolisp di atas ke program notepad, kemudian save as dengan extensi *.lsp. Misal nama filenya adalah SetElevasiDariText.lsp

Load autolisp SetElevasiDariText.lsp dengan mengetikkan perintah di command:appload

Pilih filenya, kemudian click [Load] akhiri dengan clisk [Close]

cara menjalankan programnya adalah

  • Ketik di command:SetElev
  • Pilih Label Kontur pada saat muncul perintah Pilih Text>>
  • Kemudian Pilih Polyline yang akan dirubah elevasinya saat muncul perintah Pilih Polyline>>
  • Begitu seterusnya, sehingga semua polyline terisi elevasi
  • untuk mengakhirinya tekan tombol Enter atau ESC

4. Membuat Surface

Apabila semua polyline sudah terisi elevasi, maka proses pembuatan surface dapat dimulai.

  • Aktifkan toolspace civil 3D jika toolspace belum aktif dengan cara mengetik di command:showts
  • Pada toolspace, pilih tab [Propector], kemudian click kanan [Surfaces], lalu pilih [Create Surface]
  • Masukkan nama surface dan stylenya atau click [OK], jika akan memakai style dan nama sesuai dengan template yang aktif.
  • Surface baru telah terbentuk :

image

  • Polyline kontur akan dimasukkan ke Surface1 dengan merubah polylines tersebut menjadi Breaklines. Karena dalam civil 3D belum saya temukan cara membuat surface dari polyline seperti yang ada di land development
  • di bawah group Surface 1, Click kanan icon [Breaklines], kemudian pilih [Add Breaklines]
  • Tulis Descriptionnya, pilih Type [Standard], akhiri dengan click [OK]
  • Kemudian pilih kontur polylines nya..
  • Surface 1 sudah terbentuk. Lakukan editing surface untuk pengecekan lebih lanjut.

===selamat mencoba===